<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/Gear/Food/TunaCan_Opened.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d1c/_tuna_can___opened_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">TunaCan_Opened.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d2/d1c/_tuna_can___opened_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno"><a class="line" href="../../d9/d61/class_tuna_can___opened.html">    1</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d9/d61/class_tuna_can___opened.html">TunaCan_Opened</a>: <a class="code hl_class" href="../../df/d7c/class_edible___base.html">Edible_Base</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d9/d61/class_tuna_can___opened.html#a0de32f20459e68db4bed346b660b9aa4">    3</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d61/class_tuna_can___opened.html#a0de32f20459e68db4bed346b660b9aa4">CanDecay</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>    }</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    </div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno"><a class="line" href="../../d9/d61/class_tuna_can___opened.html#a304a754e5e876347d39d6672d05f9135">    8</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d9/d61/class_tuna_can___opened.html#a304a754e5e876347d39d6672d05f9135">CanProcessDecay</a>()</div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span>    {</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>        <span class="keywordflow">return</span> !( <a class="code hl_function" href="../../df/d2e/_item_base_8c.html#ab4c196082c5e8166266ffc6ccfc6481b">GetAgents</a>() &amp; <a class="code hl_enumeration" href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a>.FOOD_POISON );</div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span>    }</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d9/d61/class_tuna_can___opened.html#ae13a8472be7bb780ae58a001731d1460">   13</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d9/d61/class_tuna_can___opened.html#ae13a8472be7bb780ae58a001731d1460">SetActions</a>()</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>    {</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        super.SetActions();</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../d6/d44/class_action_force_feed_can.html">ActionForceFeedCan</a>);</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../df/d29/class_action_eat_can.html">ActionEatCan</a>);</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>};</div>
<div class="ttc" id="a_advanced_communication_8c_html_a033d077df58807906c4dad3101d8768c"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a></div><div class="ttdeci">void AddAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00220">AdvancedCommunication.c:220</a></div></div>
<div class="ttc" id="a_e_agents_8c_html_a5a5d699a74359c32fabcdcdcbe60c1ae"><div class="ttname"><a href="../../d3/dfb/_e_agents_8c.html#a5a5d699a74359c32fabcdcdcbe60c1ae">eAgents</a></div><div class="ttdeci">eAgents</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/dfb/_e_agents_8c_source.html#l00002">EAgents.c:3</a></div></div>
<div class="ttc" id="a_item_base_8c_html_ab4c196082c5e8166266ffc6ccfc6481b"><div class="ttname"><a href="../../df/d2e/_item_base_8c.html#ab4c196082c5e8166266ffc6ccfc6481b">GetAgents</a></div><div class="ttdeci">override int GetAgents()</div><div class="ttdef"><b>Definition:</b> <a href="../../df/d2e/_item_base_8c_source.html#l08733">ItemBase.c:8733</a></div></div>
<div class="ttc" id="aclass_action_eat_can_html"><div class="ttname"><a href="../../df/d29/class_action_eat_can.html">ActionEatCan</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/de0/_action_eat_can_8c_source.html#l00010">ActionEatCan.c:11</a></div></div>
<div class="ttc" id="aclass_action_force_feed_can_html"><div class="ttname"><a href="../../d6/d44/class_action_force_feed_can.html">ActionForceFeedCan</a></div><div class="ttdef"><b>Definition:</b> <a href="../../df/d7d/_action_force_feed_can_8c_source.html#l00001">ActionForceFeedCan.c:2</a></div></div>
<div class="ttc" id="aclass_edible___base_html"><div class="ttname"><a href="../../df/d7c/class_edible___base.html">Edible_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d78/_bear_steak_meat_8c_source.html#l00001">BearSteakMeat.c:2</a></div></div>
<div class="ttc" id="aclass_tuna_can___opened_html"><div class="ttname"><a href="../../d9/d61/class_tuna_can___opened.html">TunaCan_Opened</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d1c/_tuna_can___opened_8c_source.html#l00001">TunaCan_Opened.c:2</a></div></div>
<div class="ttc" id="aclass_tuna_can___opened_html_a0de32f20459e68db4bed346b660b9aa4"><div class="ttname"><a href="../../d9/d61/class_tuna_can___opened.html#a0de32f20459e68db4bed346b660b9aa4">TunaCan_Opened::CanDecay</a></div><div class="ttdeci">override bool CanDecay()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d1c/_tuna_can___opened_8c_source.html#l00003">TunaCan_Opened.c:3</a></div></div>
<div class="ttc" id="aclass_tuna_can___opened_html_a304a754e5e876347d39d6672d05f9135"><div class="ttname"><a href="../../d9/d61/class_tuna_can___opened.html#a304a754e5e876347d39d6672d05f9135">TunaCan_Opened::CanProcessDecay</a></div><div class="ttdeci">override bool CanProcessDecay()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d1c/_tuna_can___opened_8c_source.html#l00008">TunaCan_Opened.c:8</a></div></div>
<div class="ttc" id="aclass_tuna_can___opened_html_ae13a8472be7bb780ae58a001731d1460"><div class="ttname"><a href="../../d9/d61/class_tuna_can___opened.html#ae13a8472be7bb780ae58a001731d1460">TunaCan_Opened::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d1c/_tuna_can___opened_8c_source.html#l00013">TunaCan_Opened.c:13</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../dir_f28e0f4933179a31e3883dbb29b7f996.html">Gear</a></li><li class="navelem"><a class="el" href="../../dir_2900ac54f457c665e7b743319b8ff5d8.html">Food</a></li><li class="navelem"><a class="el" href="../../d2/d1c/_tuna_can___opened_8c.html">TunaCan_Opened.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
